import { jsx } from "react/jsx-runtime";
import { TrophyIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Trophy = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "Trophy", ...props, children: /* @__PURE__ */ jsx(TrophyIcon, { weight: variant }) });
  }
);
Trophy.displayName = "Trophy";
Object.assign(Trophy, { isGdsIcon: true });
export {
  Trophy
};
